Box3D
Prev | 8.17. Bounding Box Functions | Next

## Name

Box3D — Returns a BOX3D representing the 3D extent of a geometry.

## Synopsis

`box3d Box3D(`geometry geom`)`;

## Description

Returns a box3d representing the 3D extent of the geometry.

Enhanced: 2.0.0 support for Polyhedral surfaces, Triangles and TIN was introduced.

This method supports Circular Strings and Curves

This function supports Polyhedral surfaces.

This function supports Triangles and Triangulated Irregular Network Surfaces (TIN).

This function supports 3d and will not drop the z-index.

## Examples

    SELECT Box3D(ST_GeomFromEWKT('LINESTRING(1 2 3, 3 4 5, 5 6 5)'));

    Box3d
    ---------
    BOX3D(1 2 3,5 6 5)

    SELECT Box3D(ST_GeomFromEWKT('CIRCULARSTRING(220268 150415 1,220227 150505 1,220227 150406 1)'));

    Box3d
    --------
    BOX3D(220227 150406 1,220268 150415 1)

## See Also

Box2D, ST_GeomFromEWKT

Prev | Up | Next
Box2D | Home | ST_EstimatedExtent